//
//  StringExtensions.h
//  The Fillers
//
//  Created by Richard Jones on 18/03/2011.
//  Copyright 2011 Binary Refinery. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSString (StringExtensions)

- (NSInteger) LastIndexOf:(NSString *)searchstring;
- (NSInteger) LastIndexOfI:(NSString *)searchstring;

- (NSInteger) IndexOf:(NSString *)searchstring;
- (NSInteger) IndexOfI:(NSString *)searchstring;

- (NSString *) PadLeft:(NSInteger)totallength;
- (NSString *) PadRight:(NSInteger)totallength;

- (NSString *) Remove:(NSString *)what;
- (NSString *) RemoveI:(NSString *)what;

- (NSString *) Replace:(NSString *)what with:(NSString *)with;
- (NSString *) ReplaceI:(NSString *)what with:(NSString *)with;

- (NSString *) SubString:(NSInteger)start;
- (NSString *) SubString:(NSInteger)start length:(NSInteger)length;

- (NSString *) Trim;
- (NSString *) LTrim;
- (NSString *) RTrim;

- (NSArray *) Split:(NSString *)withwhat;


@end
